Bug 808287 - File dialogs are too wide to fit on screen and cannot be resized
File dialogs are too wide to fit on screen and cannot be resized
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-desktop (Show other bugs)
16
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-29 23:57 EDT by Steevithak
Modified: 2013-02-13 17:04 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 17:04:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screen shot of a typical file dialog on Fedora 16 (569.55 KB, image/png)
2012-03-29 23:57 EDT, Steevithak
no flags Details

  None (edit)
Description Steevithak 2012-03-29 23:57:38 EDT
Created attachment 573872 [details]
Screen shot of a typical file dialog on Fedora 16

Description of problem:
Frequently, when I am using a program that requires me to interact with a file system dialog box, the file dialog opens in a size that is much larger than the width of the screen, making the controls unreachable. Further, the dialog cannot be resized horizontally (it can be resized vertical but that's not very useful). The only way to use the dialog is to drag it to the right to reach the left-hand controls and then drag it left to reach the enter/cancel buttons. This problem is not new to Fedora 16, it was also present on Fedora 13 and 14 (I didn't use Fedora 15 but I assume it was broken as well). 

Version-Release number of selected component (if applicable):
Fedora 16

How reproducible:
Only affects certain programs. Most browser dialogs do this when uploading to flickr. GIMP dialogs, UFRAW dialogs (I do lots of photo processing so most of the programs I use are involved in the digital photography work flow).

Steps to Reproduce:
1. Load firefox
2. Visit Flickr
3. Try to upload some images
  
Actual results:
Gigantic, unusable large file dialog is opened.

Expected results:
A file dialog that fits on the available screen.

Additional info:
My screen resolution is 1920x1080 on my laptop and 1920x1200 on my desktop. The laptop is running Fedora 16 and the desktop is running Fedora 14. I've attached a screen shot showing a typical file dialog on my Dell laptop running Fedora 16 on a 1920x1080 screen showing a file dialog that's around 2800px wide.
Comment 1 Fedora End Of Life 2013-01-16 12:25:31 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Fedora End Of Life 2013-02-13 17:04:33 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.